#!/bin/sh
########################################################################
#   5724-E34
#   (c) Copyright IBM Corporation 2008, 2009.
#   All rights reserved.
#
#   The source code for this program is not published or otherwise
#   divested of its trade secrets, irrespective of what has been
#   deposited with the U.S. Copyright Office.
########################################################################

echo --CREATE PRIMARY KEYS FOR GOSALESDW SCHEMA
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.DIST_INVENTORY_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo PRODUCT_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.DIST_PRODUCT_FORECAST_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo BASE_PRODUCT_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.DIST_RETURN_REASON_DIM ADD PRIMARY KEY \(RETURN_REASON_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.DIST_RETURNED_ITEMS_FACT ADD PRIMARY KEY \(DAY_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_SITE_KEY ,
echo PRODUCT_KEY ,
echo ORDER_METHOD_KEY ,
echo RETURN_REASON_KEY ,
echo SALES_ORDER_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_EMPLOYEE_DIM ADD PRIMARY KEY \(EMPLOYEE_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_FACT ADD PRIMARY KEY \(EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo ORGANIZATION_KEY ,
echo DAY_KEY ,
echo EXPENSE_TYPE_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_PLAN_FACT ADD PRIMARY KEY \(EXPENSE_TYPE_KEY ,
echo MONTH_KEY ,
echo ORGANIZATION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_TYPE_DIM ADD PRIMARY KEY \(EXPENSE_TYPE_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_EXPENSE_UNIT_LOOKUP ADD PRIMARY KEY \(EXPENSE_UNIT_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_DIM ADD PRIMARY KEY \(POSITION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_LOOKUP ADD PRIMARY KEY \(POSITION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_POSITION_SUMMARY_FACT ADD PRIMARY KEY \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo DAY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_DIM ADD PRIMARY KEY \(EMPLOYEE_RANKING_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_RANKING_FACT ADD PRIMARY KEY \(EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo ORGANIZATION_KEY ,
echo DAY_KEY ,
echo EMPLOYEE_RANKING_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_DIM ADD PRIMARY KEY \(RECRUITMENT_MEDIUM_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_RECRUITMENT_FACT ADD PRIMARY KEY \(RECRUITMENT_MEDIUM_KEY ,
echo ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo BRANCH_KEY ,
echo POST_DAY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_FACT ADD PRIMARY KEY \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_KEY ,
echo DAY_KEY ,
echo SUCCESSOR_STATUS_KEY ,
echo SUCCESSOR_EMPLOYEE_KEY ,
echo SUCCESSOR_POSITION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SUCCESSION_STATUS_DIM ADD PRIMARY KEY \(SUCCESSOR_STATUS_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SUMMARY_FACT ADD PRIMARY KEY \(ORGANIZATION_KEY ,
echo EMPLOYEE_KEY ,
echo POSITION_KEY ,
echo DAY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_FACT ADD PRIMARY KEY \(DAY_KEY ,
echo ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_TOPIC_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TARG_FACT ADD PRIMARY KEY \(EMPLOYEE_TOPIC_KEY ,
echo MONTH_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_SURVEY_TOPIC_DIM ADD PRIMARY KEY \(EMPLOYEE_TOPIC_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_TERMINATION_LOOKUP ADD PRIMARY KEY \(TERMINATION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_DIM ADD PRIMARY KEY \(TRAINING_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.EMP_TRAINING_FACT ADD PRIMARY KEY \(ORGANIZATION_KEY ,
echo POSITION_KEY ,
echo EMPLOYEE_KEY ,
echo DAY_KEY ,
echo EXPENSE_TYPE_KEY ,
echo TRAINING_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_CLASS_LOOKUP ADD PRIMARY KEY \(ACCOUNT_CLASS_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_DIM ADD PRIMARY KEY \(ACCOUNT_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_NAME_LOOKUP ADD PRIMARY KEY \(ACCOUNT_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_ACCOUNT_TYPE_LOOKUP ADD PRIMARY KEY \(ACCOUNT_TYPE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_FINANCE_FACT ADD PRIMARY KEY \(SUBMISSION_KEY ,
echo ORGANIZATION_KEY ,
echo ACCOUNT_KEY ,
echo MONTH_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_CURRENCY_LOOKUP ADD PRIMARY KEY \(SUBMISSION_CURRENCY_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_DIM ADD PRIMARY KEY \(SUBMISSION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.FIN_SUBM_TYPE_LOOKUP ADD PRIMARY KEY \(SUBMISSION_TYPE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_BRANCH_DIM ADD PRIMARY KEY \(BRANCH_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_GENDER_LOOKUP ADD PRIMARY KEY \(GENDER_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_ORG_DIM ADD PRIMARY KEY \(ORGANIZATION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_ORG_NAME_LOOKUP ADD PRIMARY KEY \(ORGANIZATION_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_REGION_DIM ADD PRIMARY KEY \(COUNTRY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_SATISFACTION_DIM ADD PRIMARY KEY \(SATISFACTION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_TIME_DIM ADD PRIMARY KEY \(DAY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.GO_TIME_QUARTER_LOOKUP ADD PRIMARY KEY \(QUARTER_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_BUNDLE_GROUP_LOOKUP ADD PRIMARY KEY \(BUNDLE_GROUP_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_CAMPAIGN_LOOKUP ADD PRIMARY KEY \(CAMPAIGN_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PROD_SURVEY_TARG_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo PRODUCT_KEY ,
echo PRODUCT_SURVEY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_DIM ADD PRIMARY KEY \(PRODUCT_SURVEY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PRODUCT_SURVEY_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo RTL_COUNTRY_KEY ,
echo BRANCH_KEY ,
echo PRODUCT_KEY ,
echo PRODUCT_SURVEY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_DIM ADD PRIMARY KEY \(PROMOTION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_FACT ADD PRIMARY KEY \(ORGANIZATION_KEY ,
echo ORDER_DAY_KEY ,
echo RTL_COUNTRY_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY ,
echo SALES_ORDER_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_PROMOTION_PLAN_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo RTL_COUNTRY_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_DIM ADD PRIMARY KEY \(RETAILER_SURVEY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo BRANCH_KEY ,
echo RTL_COUNTRY_KEY ,
echo RETAILER_KEY ,
echo RETAILER_SURVEY_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.MRK_RTL_SURVEY_TARG_FACT ADD PRIMARY KEY \(RETAILER_SURVEY_KEY ,
echo MONTH_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_ORDER_METHOD_DIM ADD PRIMARY KEY \(ORDER_METHOD_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_BRAND_LOOKUP ADD PRIMARY KEY \(PRODUCT_BRAND_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_COLOR_LOOKUP ADD PRIMARY KEY \(PRODUCT_COLOR_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_DIM ADD PRIMARY KEY \(PRODUCT_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LINE_LOOKUP ADD PRIMARY KEY \(PRODUCT_LINE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_LOOKUP ADD PRIMARY KEY \(PRODUCT_NUMBER ,
echo PRODUCT_LANGUAGE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_SIZE_LOOKUP ADD PRIMARY KEY \(PRODUCT_SIZE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_PRODUCT_TYPE_LOOKUP ADD PRIMARY KEY \(PRODUCT_TYPE_CODE \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_RTL_DIM ADD PRIMARY KEY \(RETAILER_SITE_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_FACT ADD PRIMARY KEY \(ORDER_DAY_KEY ,
echo ORGANIZATION_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo RETAILER_SITE_KEY ,
echo PRODUCT_KEY ,
echo PROMOTION_KEY ,
echo ORDER_METHOD_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_TARG_FACT ADD PRIMARY KEY \(MONTH_KEY ,
echo ORGANIZATION_KEY ,
echo RTL_COUNTRY_KEY ,
echo EMPLOYEE_KEY ,
echo RETAILER_KEY ,
echo PRODUCT_TYPE_KEY ,
echo PRODUCT_BRAND_KEY \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.XGOREV:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.XGOREV ADD PRIMARY KEY \(GOREV_ID \)
echo @
echo echo CREATING PRIMARY KEY ON TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM:
echo @
echo ALTER TABLE ${GOSALESDW_SCHEMA}.SLS_SALES_ORDER_DIM ADD PRIMARY KEY \(SALES_ORDER_KEY \)
echo @
echo
