@ECHO OFF
REM *******************************************************************
REM  5724-E34
REM  (c) Copyright IBM Corporation 2008, 2009.
REM  All rights reserved.
REM
REM  The source code for this program is not published or otherwise
REM  divested of its trade secrets, irrespective of what has been
REM  deposited with the U.S. Copyright Office.
REM *******************************************************************
REM
REM  Filename: setupGSDB.bat
REM
REM  This script accepts the following optional parameters in order
REM  to allow for automation :
REM    -createDB          => creates the database, bufferpools and tablespaces
REM                          assumption is made that a userid with permission
REM                          to create a database is running this script.
REM                          This option will drop any existing database with
REM                          the same name before creating the database
REM    -database <name>   => overrides the database name
REM    -userid <admin userid> => overrides the administrative userid
REM    -password <admin passwd> => sets the password for the administrative
REM                          userid
REM    -noprompt          => indicates that the user should not be prompted
REM                          for any information
REM    -addComments	  => Will only add table comments to existing tables
REM
REM  Notes
REM
REM  1) If any of the command line arguments are used, then the script
REM     will not prompt the user to confirm information with the exception
REM     that if the -userid parameter is used without the -password
REM     parameter, the user will be prompted for the password
REM
REM  2) If this script is launched from a shortcut or a command prompt
REm     other than the db2cmd window, a new db2cmd window will be created.
REM
REM *******************************************************************
SETLOCAL

REM *******************************************************************
REM Get short names in case path contains spaces
REM *******************************************************************
for /F "tokens=*" %%a IN ("%CD%") DO SET GOSALES_PARENT_DIR=%%~fsa

set GOSALES_SCRIPT_DIR=%GOSALES_PARENT_DIR%\GS_SCRIPTS
set GOSALES_START=1

REM Change to script directory
cd "%GOSALES_SCRIPT_DIR%"

REM *******************************************************************
REM We'll start a new db2cmd window if the current environment is not
REM already setup with a db2 environment.  The DB2CLP environment variable
REM will be set to something if we're already in a db2cmd window
REM *******************************************************************

if "%DB2CLP%" == "" goto START_DB2CMD

  call RUN_GOSALES_IMPORT.bat %*
  goto GOSALES_IMPORT_COMPLETE

:START_DB2CMD
  db2cmd RUN_GOSALES_IMPORT.bat %*

:GOSALES_IMPORT_COMPLETE
cd ..
